Name:		libgcal
Version:	0.9.3
Release:	1%{?dist}
Summary:	Library to access google calendar and contact events

Group:		System Environment/Libraries
License:	BSD
URL:		http://code.google.com/p/libgcal/
Source0:	http://libgcal.googlecode.com/files/libgcal-%{version}.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:	libcurl-devel, libopensync-devel, libxml-devel, cmake, check-devel

%description
Implements Google Data Protocol 2.0. 
It does allow communication with google calendar and contacts, 
implements already:
- authentication
- get all events/contacts
- atom stream parsing
- access to individual events/contacts
- add/delete/edit events/contacts
- query for updated events/contacts
- add/edit/delete contacts with photo
- download your contact's photos
- proxy is supported
- timezones
- use only xml to add/edit/delete entries
- great doxygen documentation 

%package	devel
Summary:	Development files for %{name}
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description	devel
Development files for %{name}

%prep
%setup -q

%build
mkdir -p %{_target_platform}
%cmake
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot}

%clean
rm -rf %{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc COPYING README Changelog.txt
%{_libdir}/libgcal.so.*

%files	devel
%defattr(-,root,root,-)
%{_includedir}/*
%{_libdir}/libgcal.so
%{_libdir}/pkgconfig/libgcal.pc
%{_datadir}/cmake/Modules/FindLibGCal.cmake

%changelog
* Mon Dec 28 2009 Thomas Janssen <thomasj@fedoraproject.org> 0.9.3-1
- Initial Fedora release
